<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_ATTENDANCE_VIEW';
$path_to_root="../..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui/ui_input.inc");
include_once($path_to_root . "/includes/ui/ui_lists.inc");
include_once($path_to_root . "/includes/ui/ui_lists_custom.inc");
include_once($path_to_root . "/payroll/includes/db/payroll_inquiry_db.inc");
include_once($path_to_root . "/payroll/includes/attendance_calculation.inc");
include_once($path_to_root . "/payroll/includes/ui/employee_attendance_details_inquiry_ui.inc");
include_once($path_to_root . "/payroll/includes/db/employees_db.inc");
include_once($path_to_root . "/payroll/includes/db/employee_attendances_db.inc");
include_once($path_to_root . "/includes/ui/ui_controls_custom.inc"); 
include_once($path_to_root . "/includes/ui/ui_view_custom.inc"); 

$js = "";
$js .= get_js_open_window(900, 500);
$js .= get_js_date_picker();

page(_($help_context = "Employee Attendance Details Inquiry"), false, false, "", $js);

start_form();

    dispaly_employee_attendance_details_controller();
    
    dispaly_employee_attendance_details_inquiry($_POST['from_date'], $_POST['to_date'], $_POST['employee_code'], $_POST['ot_only'], $_POST['status_code']);

br();

if (!@$_GET['popup']) {
    end_form();
    end_page();
}

?>